Package org.lwjgl.opengl

# Class ARBDrawIndirect

java.lang.Object
org.lwjgl.opengl.ARBDrawIndirect

public final class ARBDrawIndirect extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DRAW_INDIRECT_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:
`static final int`
`GL_DRAW_INDIRECT_BUFFER_BINDING`
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawArraysIndirect(int mode, long indirect_buffer_offset)`
`static void`
`glDrawArraysIndirect(int mode, ByteBuffer indirect)`
`static void`
`glDrawArraysIndirect(int mode, IntBuffer indirect)`
Overloads glDrawArraysIndirect.
`static void`
`glDrawElementsIndirect(int mode, int type, long indirect_buffer_offset)`
`static void`
`glDrawElementsIndirect(int mode, int type, ByteBuffer indirect)`
`static void`
`glDrawElementsIndirect(int mode, int type, IntBuffer indirect)`
Overloads glDrawElementsIndirect.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DRAW_INDIRECT_BUFFER

public static final int GL_DRAW_INDIRECT_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

See Also:
  - Constant Field Values

### GL_DRAW_INDIRECT_BUFFER_BINDING

public static final int GL_DRAW_INDIRECT_BUFFER_BINDING
Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glDrawArraysIndirect

public static void glDrawArraysIndirect(int mode, ByteBuffer indirect)

### glDrawArraysIndirect

public static void glDrawArraysIndirect(int mode, long indirect_buffer_offset)

### glDrawArraysIndirect

public static void glDrawArraysIndirect(int mode, IntBuffer indirect)
Overloads glDrawArraysIndirect.

### glDrawElementsIndirect

public static void glDrawElementsIndirect(int mode, int type, ByteBuffer indirect)

### glDrawElementsIndirect

public static void glDrawElementsIndirect(int mode, int type, long indirect_buffer_offset)

### glDrawElementsIndirect

public static void glDrawElementsIndirect(int mode, int type, IntBuffer indirect)
Overloads glDrawElementsIndirect.